# QGLFramebufferObject Class Reference

### [com.trolltech.qt.opengl package]

Inherits QPaintDevice.

### Constructor

- void QGLFramebufferObject(QSize size, QGLFramebufferObjectFormat format)
- void QGLFramebufferObject(int width, int height, QGLFramebufferObjectFormat format)

### Constructor Properties

- prototype: The QGLFramebufferObject prototype object
- bool bindDefault()
- bool hasOpenGLFramebufferBlit()
- bool hasOpenGLFramebufferObjects()
- NoAttachment
- CombinedDepthStencil
- Depth
- Attachment( value )

### Prototype Object Properties

- Attachment attachment()
- bool bind()
- QGLFramebufferObjectFormat format()
- bool isBound()
- bool isValid()
- bool release()
- QSize size()
- QImage toImage()

### Instance Properties

QGLFramebufferObject objects have no special properties beyond those inherited from the QGLFramebufferObject prototype object.